Rated 5 out of 5 stars

works with firefox12, i updated firefox on ubuntu12.04 and its working